#ifndef IMPORTEXPORT_H
#define IMPORTEXPORT_H

#include <QFile>
#include <QTextStream>
#include <stdexcept>
#include <vector>
#include "Key.h"

bool exportLayout(QString filename, std::vector<std::vector<Key *>> keys,
        QString &errorString);
bool importLayout(QString filename,
        std::vector<std::vector<unsigned char>> &scancodes,
        QString &errorString);

#endif
