#include <QApplication>
#include <QMessageBox>
#include "DiagInterface.h"
#include "Frontend.h"

using namespace std;

/*
 *
 */
int main(int argc, char **argv)
{
    QApplication a(argc, argv);

    try
    {
        DiagInterface diag;

        Frontend frontend(diag);
        frontend.show();

        return a.exec();
    }
    catch (std::exception &e)
    {
        QMessageBox::critical(NULL, "Error", QString::fromStdString(e.what()));
        return 1;
    }
}
